<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\NewTopicsRepository;
use Illuminate\Http\Request;

class NewTopicsController extends Controller
{
    private $newTopics;

    public function __construct(NewTopicsRepository $newTopics)
    {
        $this->newTopics = $newTopics;
    }

    public function index()
    {
        $rows = $this->newTopics->index();
        return view('admin.new_topics.index', compact('rows'));
    }


    public function create()
    {
        return view('admin.new_topics.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required',

        ]);
        $this->newTopics->store();

        success_toast();
        return redirect()->route('new_topics.index');

    }


    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $row = $this->newTopics->show($id);
        return view('admin.new_topics.edit', compact('row'));
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required',
        ]);
        $this->newTopics->update($id);

        success_toast();
        return redirect()->route('new_topics.index');

    }


    public function destroy($id)
    {

        $this->newTopics->destroy($id);
        success_toast();
        return redirect()->back();
    }
}
