<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use App\Repositories\SettingsRepository;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    private $settings;

    public function __construct(SettingsRepository $Settings)
    {
        $this->settings = $Settings;
    }

    public function index()
    {
      $row =  $this->settings->index();
        return view('admin.settings.index', compact('row'));
    }

    public function rules()
    {
        return [
            'zbony_link' => 'required',
            'sala_link' => 'required',
            'about_us_ar' => 'required',
            'about_us_en' => 'required'
        ];
    }

    public function update(Request $request, $id)
    {

        $this->validate($request, $this->rules());

        $this->settings->update($id);

        success_toast();
        return redirect()->back();
    }
}
