<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\StudentOpinionsRepository;
use Illuminate\Http\Request;

class StudentOpinionsController extends Controller
{
    private $studentOpinions;

    public function __construct(StudentOpinionsRepository $studentOpinions)
    {
        $this->studentOpinions = $studentOpinions;
    }

    public function index()
    {
        $rows = $this->studentOpinions->index();
        return view('admin.student_opinions.index', compact('rows'));
    }


    public function create()
    {
        return view('admin.student_opinions.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required',
            'image' => 'required|image'

        ]);
        $this->studentOpinions->store();

        success_toast();
        return redirect()->route('student_opinions.index');

    }


    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $row = $this->studentOpinions->show($id);
        return view('admin.student_opinions.edit', compact('row'));
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'title_ar' => 'required',
            'title_en' => 'required'
        ]);
        $this->studentOpinions->update($id);

        success_toast();
        return redirect()->route('student_opinions.index');

    }


    public function destroy($id)
    {

        $this->studentOpinions->destroy($id);
        success_toast();
        return redirect()->back();
    }
}
