<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\ComminQuestionsResource;
use App\Models\CommonQuestion;
use Illuminate\Http\Request;

class CommonQuestionController extends Controller
{
    public function store(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $validator = \Validator::make($request->all(), [
            'name' => 'required',
            'email' => 'required|email',
            'question' => 'required',
        ]);

        if ($validator->passes()) {

            CommonQuestion::create($request->all());
            return response()->json(['value' => true, 'data' => \Lang::get('data.saved'), 'code' => 200]);


        } else {
            return response()->json(['value' => false, 'msg' => $validator->errors()->first(), 'code' => 422]);
        }
    }

    public function index()
    {
        $rows = CommonQuestion::whereShow('true')->paginate(10);
        return ComminQuestionsResource::collection($rows)->additional([
            'value' => true
            , 'code' => 200
        ]);

    }
}
