<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\NotificationsResource;
use App\Models\Notification;
use Illuminate\Http\Request;
use JWTAuth;

class NotificationsController extends Controller
{
    public function index(Request $request)
    {
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $rows = Notification::where('user_id',$user->id)->paginate(10);
        return NotificationsResource::collection($rows)->additional([
            'value' => true,'code'=>200
        ]);
    }
    public function destroy($id,Request  $request){
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        Notification::destroy($id);
        $rows = Notification::where('user_id',$user->id)->paginate(10);
        return NotificationsResource::collection($rows)->additional([
            'value' => true,'code'=>200
        ]);


    }
    public function clear_all(Request  $request){
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);

        Notification::whereUserId($user->id)->delete();
        $rows = Notification::where('user_id',$user->id)->paginate(10);
        return NotificationsResource::collection($rows)->additional([
            'value' => true,'code'=>200
        ]);
    }
}
