<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class NotificationsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        return [
            'id' => $this->id,
            'body' => $this->body[$lang],
            'type' => $this->type,
            'side_col' => $this->side_col ? $this->side_col : '',
            'since' => Carbon::parse($this->created_at)->diffForHumans()
        ];
    }
}
