<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class RevisionRequestResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);

        $status = ['waiting' => 'جديد', 'finished'=> 'منتهي', 'paid' => 'مدفوع'];
        return [
            'id' => $this->id,
            'code' => $this->code,
            'name' => $this->name,
            'email' => $this->email,
            'body' => $this->body,
            'document' => $this->document,
            'revision_price_id' => $this->revision_price_id,
            'price' => $this->price->price,
            'delivery_date' => Carbon::parse($this->created_at)->toDateString(),
            'receive_date' => Carbon::parse($this->created_at)->addDays($this->price->days_count)->toDateString(),
            'status' => $lang == 'ar' ? $status[$this->status] : $this->status,
            'payment_type' => $this->payment_type,
        ];
    }
}
