<?php

namespace App\Http\Resources;

use App\Models\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        $lang = $request->header('Accept-Language','ar');
        \App::setLocale($lang);
        return [
            'id' => $this->id,
            'username' => $this->username ? $this->username : '',
            'email' => $this->email ? $this->email : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'country_id' => $this->country_id ? (integer)$this->country_id : '',
            'category_id' => $this->category_id ? (integer)$this->category_id : '',
            'category_name' => $this->category_id ? $this->category->name[$lang] : '',
            'status' => $this->status ? $this->status : '',
            'verification_code' => $this->verification_code ? (string)$this->verification_code : '',
            'image'=>$this->image ? asset('images/users/'.$this->image) : "",
            'token' => $token


        ];
    }
}
