<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendMail extends Mailable
{
    use Queueable, SerializesModels;

    public $body;
    public $savePath;
    public $pdf_name;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($body, $savePath, $pdf_name)
    {
        $this->savePath = $savePath;
        $this->pdf_name = $pdf_name;
        $this->body = $body;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('admin.emails.send_mail')->attach($this->savePath, [
            'as' => $this->pdf_name,
            'mime' => 'application/pdf'
        ]);
    }
}
