<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Exam extends Model
{

    protected $table = 'exams';
    public $timestamps = true;
    protected $fillable = array('title', 'file', 'image');
    protected $casts = ['title' => 'json'];

    public function getFileAttribute()
    {

        if (isset($this->attributes['file'])) {
            return asset('exams/files/') . '/' . $this->attributes['file'];
        }
        return asset('logo.png');
    }

    public function setFileAttribute()
    {
        $file = request()->file('file');
        $destinationPath = 'exams/files/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['file'] = $filename;
    }


    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/exams/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/exams/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }
}
