<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PaymentTransfer extends Model
{

    protected $table = 'payment_transfers';
    public $timestamps = true;
    protected $fillable = array('user_iban_number', 'course_id', 'user_id', 'image', 'course_request_id', 'bank_id', 'type', 'user_bank_name', 'user_account_number');

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/payment_transfers/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/payment_transfers/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }


    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function course()
    {
        return $this->belongsTo(Course::class, 'course_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }

    public function request()
    {
        return $this->belongsTo(CourseRequest::class, 'course_request_id');
    }
}
