<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TopicLibrary extends Model
{

    protected $table = 'topic_libraries';
    public $timestamps = false;
    protected $fillable = array('image', 'title', 'paid', 'link','price');
    protected $casts = ['title' => 'json'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/topic_libraries/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/topic_libraries/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }
    public function subscribeRequests(){
        return $this->hasMany(TopicLibraryRequest::class,'topic_library_id');
    }

}
