<?php


namespace App\Repositories;


use App\Models\Country;
use Illuminate\Database\Eloquent\Model;

class CountriesRepository
{
    public function index()
    {
        return Country::orderByDesc('id')->get();
    }

    public function store()
    {
        $country = new Country();
        $country['name->ar'] = request()->name_ar;
        $country['name->en'] = request()->name_en;
        $country['code'] = request()->code;
        if (request()->hasFile('image')) $country->setImageAttribute();
        $country->save();
    }

    public function show($id)
    {
        return Country::find($id);
    }

    public function update($id)
    {
        $country = $this->show($id);
        $country['name->ar'] = request()->name_ar;
        $country['name->en'] = request()->name_en;
        $country['code'] = request()->code;

        if (request()->hasFile('image')) $country->setImageAttribute();
        $country->update();
    }

    public function destroy($id)
    {
        Country::destroy($id);
    }
}
