<?php


namespace App\Repositories;


use App\Models\TopicLibrary;
use App\Models\TopicLibraryRequest;

class TopicLibraryRepository
{
    public function index()
    {
        return TopicLibrary::orderByDesc('id')->get();
    }

    public function store()
    {
        $topic = new TopicLibrary();
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        $topic['paid'] = request()->paid;
        $topic['link'] = request()->link;
        $topic['price'] = request()->price;
        $topic->save();
    }

    public function show($id)
    {
        return TopicLibrary::findOrFail($id);
    }

    public function show_topic_request($id)
    {
        return TopicLibraryRequest::findOrFail($id);
    }

    public function update($id)
    {
        $topic = $this->show($id);
        if (request()->hasFile('image')) $topic->setImageAttribute();
        $topic['title->ar'] = request()->title_ar;
        $topic['title->en'] = request()->title_en;
        $topic['paid'] = request()->paid;
        $topic['link'] = request()->link;
        $topic['price'] = request()->price;

        $topic->update();
    }

    public function destroy($id)
    {
        TopicLibrary::destroy($id);
    }

    public function destroy_request($id)
    {
        TopicLibraryRequest::destroy($id);
    }

    public function update_topic_request($request_id)
    {
        $request_topic = $this->show_topic_request($request_id);
        $topic = $this->show($request_topic->topic_library_id);
        $request_topic->admin_accept = request()->admin_accept;
        $request_topic->update();

        $topic_notification = new NotificationsRepository();

        if (request()->admin_accept == 'pending') {
            $body_ar = 'تم تعليق طلبكم بخصوص الحصول علي فيديو ' . $topic->title['ar'];
            $body_en = 'Your request for a video has been suspended ' . $topic->title['en'];
            $topic_notification->sendTopicNotification($request_topic->user_id, $body_ar, $body_en, 'admin');

        } elseif (request()->admin_accept == 'accepted') {
            $body_ar = 'تم الموافقة علي  طلبكم بخصوص الحصول علي فيديو ' . $topic->title['ar'];
            $body_en = 'Your request for a video has been approved' . $topic->title['en'];
            $topic_notification->sendTopicNotification($request_topic->user_id, $body_ar, $body_en, 'admin', $topic->link);


        } elseif (request()->admin_accept == 'refused') {
            $body_ar = 'تم رفض طلبكم بخصوص الحصول علي فيديو ' . $topic->title['ar'];
            $body_en = 'Your request for a video has been refused ' . $topic->title['en'];
            $topic_notification->sendTopicNotification($request_topic->user_id, $body_ar, $body_en, 'admin');
        }




    }
}
