<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTopicLibraryRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('topic_library_requests', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->unsigned();
            $table->integer('topic_library_id')->unsigned();
            $table->enum('payment_type', array('visa', 'bank', 'paypal', 'zbony', 'sala'))->nullable();
            $table->enum('admin_accept', array('pending', 'accepted', 'refused'))->nullable();
            $table->string('price')->nullable();
            $table->string('bank_name')->nullable();
            $table->string('image')->nullable();
            $table->string('bank_account_number')->nullable();
            $table->string('bank_iban_number')->nullable();
            $table->foreign('user_id')->references('id')->on('users')
                ->onDelete('cascade')
                ->onUpdate('cascade');
            $table->foreign('topic_library_id')->references('id')->on('topic_libraries')
                ->onDelete('cascade')
                ->onUpdate('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('topic_library_requests');
    }
}
