@extends('admin.layout.master')
@section('title', 'الدورات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الدورات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('free_courses.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالعربية</label>
                                    <input type="text" class="form-control" value="{{old('title_ar')}}" name="title_ar"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالعربية">
                                    @if ($errors->has('title_ar'))
                                        <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                    <input type="text" class="form-control" value="{{old('title_en')}}" name="title_en"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالانجليزية">
                                    @if ($errors->has('title_en'))
                                        <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغة العربية</label>
                                    <textarea name="description_ar" required class="form-control"
                                              placeholder="الوصف باللغة العربية">{{old('description_ar')}}</textarea>
                                    @if ($errors->has('description_ar'))
                                        <small class="text-danger">{{ $errors->first('description_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغة الإنجليزية</label>
                                    <textarea name="description_en" required class="form-control"
                                              placeholder="الوصف باللغة الإنجليزية">{{old('description_en')}}</textarea>
                                    @if ($errors->has('description_en'))
                                        <small class="text-danger">{{ $errors->first('description_en') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">القسم</label>
                                    <select name="category_id" required class="form-control">
                                        @foreach($categories as $category)
                                            <option value="{{$category->id}}"> {{$category->name['ar']}} </option>
                                        @endforeach
                                    </select>
                                    @if ($errors->has('category_id'))
                                        <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ بداية الدورة</label>
                                    <input type="date" name="start_date" required class="form-control">
                                    @if ($errors->has('start_date'))
                                        <small class="text-danger">{{ $errors->first('start_date') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ نهاية الدورة</label>
                                    <input type="date" name="end_date" required class="form-control">
                                    @if ($errors->has('end_date'))
                                        <small class="text-danger">{{ $errors->first('end_date') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-12">
                                    <label for="exampleInputEmail1">الصورة </label>
                                    <input type="file" name="image" class="dropify"/>

                                </div>
                            </div>
                            <div class="card-box">

                                <h4 id="TimeHours">أيام الدورة</h4>
                                <div class="row">

                                    <div class="form-group col-md-4">
                                        <label for="exampleInputEmail1">اليوم</label>
                                        <select name="day_name[]" required class="form-control">
                                            @foreach($days as $key=>$value)

                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('day_name'))
                                            <small class="text-danger">{{ $errors->first('day_name') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="exampleInputEmail1">الساعه من</label>
                                        <input type="time" required placeholder="الساعه من" class="form-control"
                                               name="from_hour[]">
                                        @if ($errors->has('from_hour'))
                                            <small class="text-danger">{{ $errors->first('from_hour') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="exampleInputEmail1">الساعه إلى</label>
                                        <input type="time" required placeholder="الساعه إلى" class="form-control"
                                               name="to_hour[]">
                                        @if ($errors->has('to_hour'))
                                            <small class="text-danger">{{ $errors->first('to_hour') }}</small>
                                        @endif
                                    </div>


                                </div>
                                <div class="container">
                                    <button onclick="AddNewTime()" type="button" class="btn btn-success"> إضافة ميعاد
                                        جديد
                                    </button>
                                </div>


                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
@section('scripts')

    <script>
        function AddNewTime() {
            $.ajax({
                type: 'GET',
                url: '{{route('getTimeDive')}}',
                success: function (data) {

                    $("#TimeHours").append(data.time_div);


                }
            })

        }

    </script>
@stop
