@extends('admin.layout.master')
@section('title', 'تلخيصات المراجع')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تلخيصات المراجع</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('reference_summaries.store')}}"
                              enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالعربية</label>
                                <input type="text" class="form-control" value="{{old('title_ar')}}" name="title_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالعربية">
                                @if ($errors->has('title_ar'))
                                    <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالانجليزية</label>
                                <input type="text" class="form-control" value="{{old('title_en')}}" name="title_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالانجليزية">
                                @if ($errors->has('title_en'))
                                    <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف بالعربية</label>
                                <textarea name="description_ar" class="form-control"
                                          placeholder="الوصف بالعربية">{{old('description_ar')}}</textarea>
                                @if ($errors->has('description_ar'))
                                    <small class="text-danger">{{ $errors->first('description_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف يالانجليزية</label>
                                <textarea name="description_en" class="form-control"
                                          placeholder="الوصف يالانجليزية">{{old('description_en')}}</textarea>
                                @if ($errors->has('description_en'))
                                    <small class="text-danger">{{ $errors->first('description_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">نصيحة عامة بالعربيه</label>
                                <textarea name="inside_advise_ar" class="form-control"
                                          placeholder="نصيحة عامة بالعربيه">{{old('inside_advise_ar')}}</textarea>
                                @if ($errors->has('inside_advise_ar'))
                                    <small class="text-danger">{{ $errors->first('inside_advise_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">نصيحة عامة بالانجليزية</label>
                                <textarea name="inside_advise_en" class="form-control"
                                          placeholder="نصيحة عامة بالانجليزية">{{old('inside_advise_en')}}</textarea>
                                @if ($errors->has('inside_advise_en'))
                                    <small class="text-danger">{{ $errors->first('inside_advise_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleSelect1">التصنيفات</label>
                                <select name="category_id" class="form-control" id="exampleSelect1">
                                    @foreach($categories as $category)
                                        <option value="{{$category->id}}">{{$category->name['ar']}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('category_id'))
                                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الصورة </label>
                                <input type="file" name="image" class="dropify"/>

                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
