@extends('admin.layout.master')
@section('title', 'مكتبة المواضيع')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">مكتبة المواضيع</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('topic_libraries.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالعربية</label>
                                <input type="text" class="form-control" value="{{$row->title['ar']}}" name="title_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالعربية">
                                @if ($errors->has('title_ar'))
                                    <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان بالانجليزية</label>
                                <input type="text" class="form-control"value="{{$row->title['en']}}"  name="title_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان بالانجليزية">
                                @if ($errors->has('title_en'))
                                    <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط الفيديو</label>
                                <input type="text" class="form-control" value="{{$row->link}}" name="link"
                                       id="exampleInputEmail1"
                                       placeholder="رابط الفيديو">
                                @if ($errors->has('link'))
                                    <small class="text-danger">{{ $errors->first('link') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">نوع الفيديو</label>

                                <select name="paid" required class="form-control">
                                    <option {{$row->paid== 'paid' ? "selected" : ""}} value="paid">مدفوع</option>
                                    <option {{$row->paid== 'free' ? "selected" : ""}} value="free">مجانى</option>
                                </select>
                                @if ($errors->has('paid'))
                                    <small class="text-danger">{{ $errors->first('paid') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">سعر الفيديو إذا كان مدفوع</label>


                                <input type="text" name="price" value="{{$row->price}}" class="form-control">
                                @if ($errors->has('price'))
                                    <small class="text-danger">{{ $errors->first('price') }}</small>
                                @endif
                            </div>





                            <div class="form-group">
                                <label for="exampleInputEmail1">الصورة </label>
                                <input type="file" name="image"
                                       data-default-file="{{$row->image}}" class="dropify"/>

                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
