@extends('admin.layout.master')
@section('title', " المستخدم $row->username")
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{'المستخدم ' . $row->username}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('users.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">الإسم</label>
                                <input type="text" class="form-control" required value="{{$row->username}}"
                                       name="username"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم">
                                @if ($errors->has('username'))
                                    <small class="text-danger">{{ $errors->first('username') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control" required value="{{$row->email}}" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control" required value="{{$row->mobile}}" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>


                            <div class="form-horizontal mb-20">
                                <div class="form-group">
                                    <label class="control-label col-sm-6">
                                        <span class="color-gray">الدولة</span>
                                        <span class="is-required">*</span>
                                        <br/>
                                    </label>

                                        <div class="select">
                                            <select name="country_id" id="country_id"
                                                    required class="form-control select-style option">
                                                <option selected disabled class="option form-control">
                                                    اختر الدولة
                                                </option>
                                                @foreach($countries as $country)
                                                    <option value="{{$country->id}}"
                                                            {{ $row->country_id == $country->id ? 'selected' : '' }}
                                                            class="option form-control">
                                                        {{$country->name['ar']}}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    @if ($errors->has('country_id'))
                                        <small class="text-danger">{{ $errors->first('country_id') }}
                                        </small>
                                    @endif

                            </div>
                            <div class="form-horizontal mb-20">
                                <div class="form-group">
                                    <label class="control-label col-sm-4">
                                        <span class="color-gray">القسم المختص</span>
                                        <span class="is-required">*</span>
                                        <br/>
                                    </label>
                                         <div class="select">
                                            <select name="category_id" id="category_id"
                                                    required class="form-control select-style option">
                                                <option selected disabled class="option form-control">
                                                    اختر القسم
                                                </option>
                                                @foreach($categories as $category)
                                                    <option value="{{$category->id}}"
                                                            {{ $row->category_id == $category->id ? 'selected' : '' }}
                                                            class="option form-control">
                                                        {{$category->name['ar']}}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    @if ($errors->has('category_id'))
                                        <small class="text-danger">{{ $errors->first('category_id') }}
                                        </small>
                                    @endif
                             </div>


                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="image" data-height="300"
                                               data-default-file="{{asset('images/users/'.$row->image)}}"
                                               class="dropify"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active"
                                            @if($row->status == 'active') selected @endif>مفعل
                                    </option>
                                    <option value="not_active"
                                            @if($row->status == 'not_active') selected @endif>غير مفعل
                                    </option>
                                </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">كلمة المرور</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="كلمة المرور">

                                @if ($errors->has('password'))
                                    <small class="text-danger">{{ $errors->first('password') }}</small>
                                @endif
                            </div>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop

@section('scripts')

    <script>
        $("#mobile").on('keyup', function () {
            var mobile = $("#mobile").val();
            if (mobile >= 1) {

            } else if (mobile < 1) {
                alert('رقم الجوال يجب أن يبدأ برقم 5');
                $("#mobile").val("");
            }
        })
    </script>
@stop
