<?php

namespace App\Http\Controllers\Api;

use Illuminate\Support\Facades\Route;


Route::group(['namespace' => 'api'], function () {
    Route::post('register', [UsersController::class, 'register']);
    Route::post('login', [UsersController::class, 'login']);
    Route::get('countries', [DataController::class, 'countries']);
    Route::get('categories', [DataController::class, 'categories']);
    Route::post('forget_password', [UsersController::class, 'forget_password']);
    Route::post('check_forget_code', [UsersController::class, 'check_forget_code']);
    Route::post('change_password', [UsersController::class, 'change_password']);
    Route::get('settings', [DataController::class, 'settings']);
    Route::get('students_opinions', [DataController::class, 'students_opinions']);
    Route::get('reference_summaries', [DataController::class, 'reference_summaries']);
    Route::get('courses', [CoursesController::class, 'courses']);
    Route::get('single_course/{id}', [CoursesController::class, 'single_course']);
    Route::post('search_courses', [CoursesController::class, 'search_courses']);
    Route::get('banks', [DataController::class, 'banks']);
    Route::get('reference_summaries', [DataController::class, 'reference_summaries']);
    Route::get('new_topics', [DataController::class, 'new_topics']);
    Route::post('common_questions', [CommonQuestionController::class, 'store']);
    Route::get('common_questions', [CommonQuestionController::class, 'index']);
    Route::post('contact_us', [DataController::class, 'contact_us']);
    Route::get('exams', [DataController::class, 'exams']);
    Route::get('revision_prices', [RevisionPricesController::class, 'revision_prices']);
    Route::get('single_revision_request/{id}', [RevisionPricesController::class, 'single_revision_request']);
    Route::get('topic_libraries', [TopicLibrariesController::class, 'topic_libraries']);

    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::post('logout', [UsersController::class, 'logout']);
        Route::post('update_profile', [UsersController::class, 'update_profile']);
        Route::post('change_old_password', [UsersController::class, 'change_old_password']);
        Route::get('notifications', [NotificationsController::class, 'index']);
        Route::delete('notifications/{notification_id}', [NotificationsController::class, 'destroy']);
        Route::delete('notifications_clear', [NotificationsController::class, 'clear_all']);
        Route::post('rate_course', [CoursesController::class, 'rate_course']);
        Route::post('course_request_free', [CoursesController::class, 'course_request_free']);
        Route::post('course_request_paid', [CoursesController::class, 'course_request_paid']);
        Route::post('add_revision_request', [RevisionPricesController::class, 'add_revision_request']);
        Route::post('revision_request_payment', [RevisionPricesController::class, 'revision_request_payment']);
        Route::get('revision_requests', [RevisionPricesController::class, 'revision_requests']);
        Route::post('topic_library_paid_requests', [TopicLibrariesController::class, 'topic_library_paid_requests']);
        Route::post('topic_library_free_requests', [TopicLibrariesController::class, 'topic_library_free_requests']);
        Route::get('my_courses/{status}', [UsersController::class, 'my_courses']);

    });
});

