<?php

namespace App\Http\Controllers\Admin;


use Illuminate\Support\Facades\Route;


Route::get('/', function () {

    return redirect()->route('admin');
});
Route::get('/admin_login', [HomeController::class, 'login'])->name('admin_login');
Route::post('authenticate', [HomeController::class, 'authenticate'])->name('authenticate');

Route::group(['middleware' => 'admin:admin', 'prefix' => 'admin'], function () {
    Route::get('/', [HomeController::class, 'index'])->name('admin');

    Route::get('admin_logout', [HomeController::class, 'admin_logout'])->name('admin_logout');
    Route::get('admin_profile', [HomeController::class, 'admin_profile'])->name('admin_profile');
    Route::patch('update_own_profile', [HomeController::class, 'update_own_profile'])->name('update_own_profile');

    Route::get('getTimeDive', [CoursesController::class, 'getTimeDive'])->name('getTimeDive');
    Route::delete('delete_course_day/{course_day_id}', [CoursesController::class, 'delete_course_day'])->name('delete_course_day');
    Route::post('update_course_day/{course_day_id}', [CoursesController::class, 'update_course_day'])->name('update_course_day');
    Route::post('create_course_day/{course_id}', [CoursesController::class, 'create_course_day'])->name('create_course_day');
    Route::post('update_course_zoom/{course_id}', [CoursesController::class, 'update_course_zoom'])->name('update_course_zoom');
    Route::post('attach_pdf/{course_id}', [CoursesController::class, 'attach_pdf'])->name('attach_pdf');
    Route::post('update_pdf/{pdf_id}', [CoursesController::class, 'update_pdf'])->name('update_pdf');
    Route::delete('delete_pdf/{pdf_id}', [CoursesController::class, 'delete_pdf'])->name('delete_pdf');
    Route::post('all_student_notifications', [NotificationsController::class, 'all_student_notifications'])->name('all_student_notifications');
    Route::post('all_subscribed_student_notifications', [NotificationsController::class, 'all_subscribed_student_notifications'])->name('all_subscribed_student_notifications');
    Route::post('send_course_notifications/{course_id}', [NotificationsController::class, 'send_course_notifications'])->name('send_course_notifications');
    Route::delete('delete_topic_libraries_request/{request_id}', [TopicLibrariesController::class, 'delete_topic_libraries_request'])->name('delete_topic_libraries_request');
    Route::get('edit_topic_request/{request_id}', [TopicLibrariesController::class, 'edit_topic_request'])->name('edit_topic_request');
    Route::patch('update_topic_request/{request_id}', [TopicLibrariesController::class, 'update_topic_request'])->name('update_topic_request');
    Route::post('send_mail_pdf', [RevisionRequestsController::class, 'send_mail_pdf'])->name('send_mail_pdf');

    Route::resources([
        'settings' => SettingsController::class,
        'admins' => AdminsController::class,
        'users' => UsersController::class,
        'countries' => CountriesController::class,
        'courses' => CoursesController::class,
        'free_courses' => FreeCoursesController::class,
        'new_topics' => NewTopicsController::class,
        'common_questions' => CommonQuestionsController::class,
        'student_opinions' => StudentOpinionsController::class,
        'categories' => CategoriesController::class,
        'banks' => BanksController::class,
        'revision_prices' => RevisionPricesController::class,
        'students' => StudentsSubscribersController::class,
        'notifications' => NotificationsController::class,
        'topic_libraries' => TopicLibrariesController::class,
        'reference_summaries' => ReferenceSummariesController::class,
        'revision_requests' => RevisionRequestsController::class,
        'course_requests' => CourseRequestsController::class,
        'free_course_requests' => FreeCourseRequestsController::class,
        'exams'=>ExamsController::class


    ]);


});


